Concerto Changelog | Harmoni Changelog | Polyphony Changelog | Concerto Viewer Changelog

Concerto Change Log

Version 2.5.6

2008-07-22

This release fixes a Polyphony issue in which null dates were preventing the loading of some asset-editing screens. As well, this release updates the controller index.php script to better handle otherwise uncaught exceptions and print pretty error messages.

This release uses Harmoni 1.4.4 and Polyphony 1.2.12.


Version 2.5.5

2008-07-17

This release fixes a bug in the slide-show creation wizard that was preventing creation of slides from the selection.

As well, this release also fixes errors in the 'selection' that prevented clearing and exporting from working properly.

This release uses Harmoni 1.4.2 and Polyphony 1.2.9.


Version 2.5.4

2008-06-03

This release fixes a number of issues with importing and exporting features that in particular, were broken when SafeMode is turned on. Both Tab-Delimited and XML importing are now working with or without safe-mode.

This release uses Harmoni 1.3.4 and Polyphony 1.2.3.


Version 2.5.3

2008-03-10

This release migrates Concerto to Harmoni 1.0 and includes a few bug fixes as well.

Notable changes: - SimpleTableRepository searches now respect character encoding settings. - Tabbed-Delimited importing now works. - Exporting now works again. - Now uses Harmoni 1.0

This release uses Harmoni 1.0.4 and Polyphony 1.0.3.


Version 2.5.2

2007-11-01

This release adds some new command line scripts for managing the OAI-PMH provider and its data.

It also includes bug fixes to Harmoni and Polyphony. See the corresponding Harmoni and Polyphony changelogs for details.

Concerto 2.5.2 includes Harmoni 0.13.2 and Polyphony 0.10.2.


Version 2.5.1

2007-10-24

This release includes several bug fixes in the Polyphony libraries which impacted browsing of logs by admins and some spurious access of pages by search engine spiders.

As well, this release includes a change to the way assets are created in order to streamline the process and prevent confusion.


Version 2.5.0

2007-10-22

As of this release, Concerto no longer supports PHP4. Please use PHP 5.2 or later.

Concerto requires PHP 5.2 or later and either a MySQL 5.0 or later database or a PostgreSQL database.

For upgrades from prior versions of concerto, please point your browser at the harmoni database updater and run each of the updates. The updates are safe to run multiple times as they will only take action where needed. The updater is found at concerto/main/harmoni/core/DBHandler/db_updater.php


Version 2.4.1

2007-04-10


Version 2.4.0

2007-04-05


Version 2.3.0

2006-12-13


Version 2.2.0

2006-12-01


Version 2.1.13

2006-11-30


Version 2.1.12

2006-11-28


Version 2.1.11

2006-10-25


Version 2.1.10

2006-08-28


Version 2.1.9

2006-08-16


Version 2.1.8

2006-08-15


Version 2.1.7

2006-08-11


Version 2.1.6

2006-08-04


Version 2.1.5

2006-08-02


Version 2.1.4

2006-07-21


Version 2.1.3

2006-06-30


Version 2.1.2

2006-06-26


Version 2.1.1

2006-06-20


Version 2.1.0

2006-06-16


Version 2.0.0

2006-05-26


Version 2.0-beta 4

2006-05-19


Version 2.0-beta 3

2006-05-05


Version 2.0-beta 2

2006-02-09


Version 0.2.0

2005-10-12


Version 0.1.2

2005-04-14


Version 0.1.1

2005-04-11


Version 0.1.0

2005-04-07